Subject: Fw: [Bug 196529] New: NULL pointer deref in networking

From: Stephen Hemminger <[email-masked]>
Date: Sat, 29 Jul 2017 14:33:20 -0700

Begin forwarded message:

Date: Sat, 29 Jul 2017 01:52:42 +0000
From: [email-masked]
To: [email-masked]
Subject: [Bug 196529] New: NULL pointer deref in networking

https://bugzilla.kernel.org/show_bug.cgi?id=196529

            Bug ID: 196529
           Summary: NULL pointer deref in networking
           Product: Networking
           Version: 2.5
    Kernel Version: 4.13rc2
          Hardware: x86-64
                OS: Linux
              Tree: Mainline
            Status: NEW
          Severity: normal
          Priority: P1
         Component: Other
          Assignee: [email-masked]
          Reporter: [email-masked]
        Regression: No

Created attachment 257749
  --> https://bugzilla.kernel.org/attachment.cgi?id=257749&action=edit  
dmesg output

Just upgraded to 4.13rc2, rebooted, and my system crashed at my netmount init
script; says RIP is NULL, I am guessing a bad func call. I immediately thought
missing firmware in kernel, my kernel builds firmware in it, so I upgraded my
firmware to latest on git.kernel and made sure I had no warnings in dmesg about
missing firmware. Still, I receive this NULL pointer in the IP. If I disable my
netmount on boot, I can login, but can not bring up my interfaces, still get a
RIP err in kernel logs and cpu load sky-rockets.

I am willing to help and provide as much info as possible, thank you.

-- 
You are receiving this mail because:
You are the assignee for the bug.